package com.ximai.mes.pro.domain.prototypeMake;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ximai.common.core.domain.BaseEntity;

/**
 * 打样制作工序检验项对象 pro_prototype_request_process_qcindex
 *
 * @author generator
 * @date 2024-01-27
 */
public class ProPrototypeMakeProcessQcindex extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    @TableId
    private Long prototypeMakeProcessQcindexId;

    /** 打样制作ID */
    private Long prototypeMakeId;

    /** 打样制作工序ID */
    private Long prototypeMakeProcessId;

    /** 产品物料ID */
    private Long qcindexId;

    public void setPrototypeMakeProcessQcindexId(Long prototypeMakeProcessQcindexId)
    {
        this.prototypeMakeProcessQcindexId = prototypeMakeProcessQcindexId;
    }

    public Long getPrototypeMakeProcessQcindexId()
    {
        return prototypeMakeProcessQcindexId;
    }
    public void setPrototypeMakeId(Long prototypeMakeId)
    {
        this.prototypeMakeId = prototypeMakeId;
    }

    public Long getPrototypeMakeId()
    {
        return prototypeMakeId;
    }
    public void setPrototypeMakeProcessId(Long prototypeMakeProcessId)
    {
        this.prototypeMakeProcessId = prototypeMakeProcessId;
    }

    public Long getPrototypeMakeProcessId()
    {
        return prototypeMakeProcessId;
    }
    public void setQcindexId(Long qcindexId)
    {
        this.qcindexId = qcindexId;
    }

    public Long getQcindexId()
    {
        return qcindexId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("prototypeMakeProcessQcindexId", getPrototypeMakeProcessQcindexId())
            .append("prototypeMakeId", getPrototypeMakeId())
            .append("prototypeMakeProcessId", getPrototypeMakeProcessId())
            .append("qcindexId", getQcindexId())
            .append("remark", getRemark())
            .toString();
    }
}
